angular.module('demoWidget1Module')

    /**
     * Configuration for the custom widget
     * The config contains all configurable properties of the widget
     */
    .config(['dashboardProviderProvider',
        function (dashboardProviderProvider) {
            dashboardProviderProvider.widget('demoWidget1', {
                title: 'Demo Widget 1',
                category: 'customWidget',
                toolTip : {
                    "de":"Demo Widget 1",
                    "en":"Demo Widget 1"
                },
                actions: ['editName',
                    'hLine',
                    'copy', 'paste', 'cut', 'delete',
                    'toTop', 'bringForward', 'sendBackward', 'toBack',
                    'hideHeader','hideBorder'],
                description: 'Demo Widget 1 - Simple Custom Widget',
                templateUrl: 'widgets/customWidgets/demoWidget1/partials/demoWidget1.html',
                iconUrl: 'widgets/customWidgets/demoWidget1/assets/images/demoWidget1MenuIcon_32x32.png',
                controller: 'demoWidget1Ctrl',
                container: {
                    hideHeader: false,
                    hideBorder: false,
                    width: 200,
                    height: 200,
                    contentMinHeight: 60,
                    contentMinWidth: 60
                }
            });
        }
    ]);
